/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/CLOPTION.CPP   1.4   20 Jun 1996 09:29:22   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/CLOPTION.CPP  $
** 
**    Rev 1.4   20 Jun 1996 09:29:22   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:00   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:34   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// cloption.cpp
//
// Michael Long
//                                                                           
// 5/15/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "cl.h"
#include "cloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLOption dialog


CLOption::CLOption(CLTool * pTool)
    : CPropertyPage(CLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(CLOption)
   
    //}}AFX_DATA_INIT
}

void CLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CLOption)
    DDX_Text(pDX, IDC_CLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_CLOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void CLOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;

}

void CLOption::LoadData(void)
{
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;

}

BEGIN_MESSAGE_MAP(CLOption, CPropertyPage)
    //{{AFX_MSG_MAP(CLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CLOption message handlers
